# class Index

#### package js.html.idb

Available on HTML5

`IDBIndex` interface of the IndexedDB API provides asynchronous access to an index in a database. An index is a kind of object store for looking up records in another object store, called the referenced object store. You use this interface to retrieve data.

Documentation IDBIndex by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/IDBIndex

### Variables

###

`read onlykeyPath:Dynamic`

The key path of this index. If null, this index is not auto-populated.

###

`read onlymultiEntry:Bool`

Affects how the index behaves when the result of evaluating the index's key path yields an array. If `true`, there is one record in the index for each item in an array of keys. If `false`, then there is one record for each key that is an array.

###

`read onlyname:String`

The name of this index.

###

`read onlyobjectStore:ObjectStore`

The name of the object store referenced by this index.

###

`read onlyunique:Bool`

If `true`, this index does not allow duplicate values for a key.

### Methods

###

`count (?key:Dynamic):Request`

Throws:

`null` | DOMError

###

`get (key:Dynamic):Request`

Throws:

`null` | DOMError

###

`getAll (?key:Dynamic, ?limit:Int):Request`

Throws:

`null` | DOMError

###

`getAllKeys (?key:Dynamic, ?limit:Int):Request`

Throws:

`null` | DOMError

###

`getKey (key:Dynamic):Request`

Throws:

`null` | DOMError

###

`openCursor (?range:Dynamic, direction:CursorDirection = "next"):Request`

Throws:

`null` | DOMError

###

`openKeyCursor (?range:Dynamic, direction:CursorDirection = "next"):Request`

Throws:

`null` | DOMError